--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: contact_groups
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: contacts
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: groups
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: inited
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: main
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: pending_watch_states
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: pending_watches
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: running
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: server
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: internal
  name: watches
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: at_exit
- !ruby/object:RI::MethodSummary 
  name: contact
- !ruby/object:RI::MethodSummary 
  name: control
- !ruby/object:RI::MethodSummary 
  name: internal_init
- !ruby/object:RI::MethodSummary 
  name: load
- !ruby/object:RI::MethodSummary 
  name: pattern_match
- !ruby/object:RI::MethodSummary 
  name: registry
- !ruby/object:RI::MethodSummary 
  name: running_load
- !ruby/object:RI::MethodSummary 
  name: running_log
- !ruby/object:RI::MethodSummary 
  name: setup
- !ruby/object:RI::MethodSummary 
  name: start
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: stop_all
- !ruby/object:RI::MethodSummary 
  name: task
- !ruby/object:RI::MethodSummary 
  name: terminate
- !ruby/object:RI::MethodSummary 
  name: uncontact
- !ruby/object:RI::MethodSummary 
  name: unwatch
- !ruby/object:RI::MethodSummary 
  name: watch
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'0.7.3'"
- !ruby/object:RI::Constant 
  comment: 
  name: LOG_BUFFER_SIZE_DEFAULT
  value: "100"
- !ruby/object:RI::Constant 
  comment: 
  name: PID_FILE_DIRECTORY_DEFAULTS
  value: "['/var/run/god', '~/.god/pids']"
- !ruby/object:RI::Constant 
  comment: 
  name: DRB_PORT_DEFAULT
  value: "17165"
- !ruby/object:RI::Constant 
  comment: 
  name: DRB_ALLOW_DEFAULT
  value: "['127.0.0.1']"
- !ruby/object:RI::Constant 
  comment: 
  name: LOG_LEVEL_DEFAULT
  value: ":info"
full_name: God
includes: []

instance_methods: []

name: God
superclass: 
